<template>
  <div id="app">
    <div class="info">
      <h1>Trump or Orange</h1>
      <div class="line"></div>
      <p>
        This service uses highly capable artificial intelligence to determine if an image contains Donald Trump or an orange.
        <br />
        <br />
        Upload an image below or provide a url and let the magic happen.
      </p>
    </div>
    <div v-if="!currentFileDataUri && !apiResult" class="inputs">
      <SwitchButton :options="['file', 'url']" :setMode="setMode"/>
      <UrlInput v-if="mode === 'url'"/>
      <FileUpload v-if="mode === 'file'" />
    </div>
    <Result v-if="currentFileDataUri" />

    <div class="made-by">
      Made for laughs. Please don't sue.
    </div>
  </div>
</template>

<script>
import FileUpload from './components/FileUpload'
import UrlInput from './components/UrlInput'
import Result from './components/Result'
import SwitchButton from './components/SwitchButton'
import { mapState, mapActions } from 'vuex'

export default {
  name: 'App',
  components: {
    FileUpload,
    Result,
    UrlInput,
    SwitchButton
  },
  computed: {
    ...mapState(['currentFileDataUri', 'apiResult', 'mode'])
  },
  methods: {
    ...mapActions([
      'setMode'
    ])
  }
}
</script>

<style lang="scss">
@import './config.scss';

* {
  box-sizing: border-box;
}

html, body {
  @media screen and (min-width: 401px) {
    width: 100vw;
    height: 100vh;
  }
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  // background-image: url('http://sohailharooncorp.com/wp-content/uploads/2016/11/Orange.jpg');
  background-size: 10%;
  background-color: $orange;
  padding: 20px;
  margin: 0;

  @media screen and (max-width: 400px) {
    padding: 8px;
  }
}

h1, h2, h3, h4, h5, h6, p {
  color: $dark-grey;
  margin: 0;
}

.line {
  width: 50%;
  height: 4px;
  background-color: $light-grey;
  margin: 16px auto;
}

a {
  color: $orange;
}

h1 {
  margin-top: 0;
}

p {
  line-height: 1.5;

  @media screen and (max-width: 400px) {
    font-size: 14px;
  }
}

#app {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  max-width: 480px;
  margin: 0 auto;

  background-color: $white;
  border-radius: 3px;
  border: 8px solid $light-grey;
  padding: 40px;

  @media screen and (max-width: 400px) {
    padding: 16px;
  }
}

.info {
  margin-bottom: 40px;
}

.made-by {
  margin-top: 40px;
  font-size: 14px;
}
</style>
